Public Member Functions

# SettingsIniFile Struct Reference

Derived class for loading INI files without going through Fio stuff. More...

Inheritance diagram for SettingsIniFile:

## Public Member Functions
| SettingsIniFile (const char *const *list_group_names=NULL, const char *const *seq_group_names=NULL)
| Construct a new ini loader.
virtual FILE * | OpenFile (const char *filename, Subdirectory subdir, size_t *size)
| Open the INI file.
virtual void | ReportFileError (const char *const pre, const char *const buffer, const char *const post)
| Report an error about the file contents.

## Detailed Description

Derived class for loading INI files without going through Fio stuff.

Definition at line 165 of file settingsgen.cpp.

## Constructor & Destructor Documentation

SettingsIniFile::SettingsIniFile | ( | const char *const * | list_group_names = `NULL`,
|  | const char *const * | seq_group_names = `NULL` |
| ) |  |  | `[inline]`

Construct a new ini loader.

Parameters:

  | list_group_names | A `NULL` terminated list with group names that should be loaded as lists instead of variables.

See also:
  IGT_LIST

Parameters:

  | seq_group_names | A `NULL` terminated list with group names that should be loaded as lists of names.

See also:
  IGT_SEQUENCE

Definition at line 171 of file settingsgen.cpp.

## Member Function Documentation

virtual FILE* SettingsIniFile::OpenFile | ( | const char * | filename,
|  | Subdirectory | subdir,
|  | size_t * | size |
| ) |  |  | `[inline, virtual]`

Open the INI file.

Parameters:

  | filename | Name of the INI file.
  | subdir | The subdir to load the file from.
  | size | [out] Size of the opened file.

Returns:
  File handle of the opened file, or `NULL`.

Implements IniLoadFile.

Definition at line 176 of file settingsgen.cpp.

virtual void SettingsIniFile::ReportFileError | ( | const char *const | pre,
|  | const char *const | buffer,
|  | const char *const | post |
| ) |  |  | `[inline, virtual]`

Report an error about the file contents.

Parameters:

  | pre | Prefix text of the buffer part.
  | buffer | Part of the file with the error.
  | post | Suffix text of the buffer part.

Implements IniLoadFile.

Definition at line 190 of file settingsgen.cpp.

References error().

The documentation for this struct was generated from the following file:

- src/settingsgen/settingsgen.cpp